org.keycloak.representations.adapters.action

## Class LogoutAction

- java.lang.Object
- - org.keycloak.representations.adapters.action.AdminAction
  - - org.keycloak.representations.adapters.action.LogoutAction

-     public class LogoutAction
      extends AdminAction

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `LOGOUT`
    `protected int` | `notBefore`
    `protected String` | `user`

    - ### Fields inherited from class org.keycloak.representations.adapters.action.AdminAction

      `action, expiration, id, resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogoutAction()`
    `LogoutAction(String id, int expiration, String resource, String user, String session, int notBefore)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNotBefore()`
    `String` | `getSession()`
    `String` | `getUser()`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setSession(String session)`
    `void` | `setUser(String user)`
    `boolean` | `validate()`

    - ### Methods inherited from class org.keycloak.representations.adapters.action.AdminAction

      `getAction, getExpiration, getId, getResource, isExpired, setAction, setExpiration, setId, setResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGOUT

          public static final String LOGOUT

      See Also:
        Constant Field Values

    - #### user

          protected String user

    - #### notBefore

          protected int notBefore

  - ### Constructor Detail

    - #### LogoutAction

          public LogoutAction()

    - #### LogoutAction

          public LogoutAction(String id,
                      int expiration,
                      String resource,
                      String user,
                      String session,
                      int notBefore)

  - ### Method Detail

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser(String user)

    - #### getSession

          public String getSession()

    - #### setSession

          public void setSession(String session)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### validate

          public boolean validate()

      Specified by:
        `validate` in class `AdminAction`

Copyright © 2014. All Rights Reserved.